Skip to main content
POST
/
v1
/
catalog_entities
/
{catalog_entity_id}
/
properties
Creates a Catalog Entity Property
curl --request POST \
  --url https://api.rootly.com/v1/catalog_entities/{catalog_entity_id}/properties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "catalog_entity_properties",
    "attributes": {
      "catalog_field_id": "<string>",
      "key": "text",
      "value": "<string>",
      "catalog_entity_id": "<string>"
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "catalog_entity_properties",
    "attributes": {
      "catalog_entity_id": "<string>",
      "catalog_field_id": "<string>",
      "key": "text",
      "value": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

catalog_entity_id
string
required

Body

application/vnd.api+json

Deprecated: This endpoint is deprecated, please use the fields attribute on catalog entities or native catalog endpoints (teams, services, functionalities, incident_types, causes, environments) to set field values instead.

data
object
required

Response

catalog_entity_property created

Deprecated: This endpoint is deprecated, please use include=fields on catalog entities or native catalog endpoints (teams, services, functionalities, incident_types, causes, environments) to retrieve field values instead.

data
object
required